<?
require "../conexion/conectar.php";
require "../libs/funciones.php";
$conexion = new CONDB();
$conexion->conectar();

$cfdi = getDatosRecibe($_POST['uuid']);

$DESCARGAR_ARCHIVOS=true;

if(!$DESCARGAR_ARCHIVOS = getINI("DESCARGAR_ARCHIVOS=","../config.ini")){
	$DESCARGAR_ARCHIVOS=false;
}else{
	if($DESCARGAR_ARCHIVOS == "SI"){
		$DESCARGAR_ARCHIVOS=true;
	}else{
		$DESCARGAR_ARCHIVOS=false;
	}
}

getDescarga($cfdi,$_POST['tipo']);

function getDatosRecibe($uuid){
	global $conexion;
	$query = "select rfcEmisor,r.tipoDocto,r.serie,r.folio,r.uuid,r.fechaDocto,r.fechaRecibido,r.nombreemi,r.ArchivoXML,r.ArchivoPDF,t.usarRutaDistribuida,t.rutaXML_P,t.rutaPDF_P,t.rutaXML,t.rutaPDF from recibedoce r left join receptor re on re.rfc=r.rfc_receptor left join tdoctos_r t on t.idReceptor=re.idReceptor where uuid='$uuid' and t.tipoDocto=r.tipoDocto limit 1";
	$result = mysqli_query($conexion->CONEXION,$query);
	
	$tmp = mysqli_fetch_assoc($result);
	
	return $tmp;
}
function getDescarga($cfdi,$tipo){
	global $DESCARGAR_ARCHIVOS;
	$iconos="";
	
	if($cfdi['usarRutaDistribuida'] == "SI"){
	
		$year = substr($cfdi['fechaRecibido'],0,4);
		$mes = substr($cfdi['fechaRecibido'],5,2);
		
		if($DESCARGAR_ARCHIVOS){
			/*PARA DESCARGA*/
			$rutaSTD=$cfdi['rutaPDF_P'].$year."/".$mes."/".pathinfo($cfdi['ArchivoXML'],PATHINFO_FILENAME)."_STD.pdf";
			$cfdi['rutaXML_P'].=$year."/".$mes."/".$cfdi['ArchivoXML'];
			$cfdi['rutaPDF_P'].=$year."/".$mes."/".$cfdi['ArchivoPDF'];
			
			switch($tipo){
				case "XML":
					if(trim($cfdi['ArchivoXML']) == ""){
						?><script>alert("No existe el archivo.");</script><?
						exit;
					}
					if(!file_exists($cfdi['rutaXML_P'])){
						?><script>alert("No existe el archivo.");</script><?
						return false;
					}
				?><script>descargar('<?=urlencode($cfdi['ArchivoXML'])?>','<?=urlencode($cfdi['rutaXML_P'])?>','A');</script><?
					break;
				case "PDF":
					if(trim($cfdi['ArchivoPDF']) == ""){
						?><script>alert("No existe el archivo.");</script><?
						exit;
					}
					if(!file_exists($cfdi['rutaPDF_P'])){
						?><script>alert("No existe el archivo.");</script><?
						return false;
					}
					?><script>descargar('<?=urlencode($cfdi['ArchivoPDF'])?>','<?=urlencode($cfdi['rutaPDF_P'])?>','A');</script><?
					break;
				case "STD":
					if(!file_exists($rutaSTD)){
						?><script>alert("No existe el archivo.");</script><?
						return false;
					}
					?><script>descargar('<?=urlencode(pathinfo($cfdi['ArchivoXML'],PATHINFO_FILENAME)."_STD.pdf")?>','<?=urlencode($rutaSTD)?>','A');</script><?
					break;
			}
		}else{
			$rutaSTD=$cfdi['rutaPDF_P'].$year."/".$mes."/".pathinfo($cfdi['ArchivoXML'],PATHINFO_FILENAME)."_STD.pdf";
			$rutaSTDHTTP=$cfdi['rutaPDF'].$year."/".$mes."/".pathinfo($cfdi['ArchivoXML'],PATHINFO_FILENAME)."_STD.pdf";
			$cfdi['rutaXML'].=$year."/".$mes."/".$cfdi['ArchivoXML'];
			$cfdi['rutaPDF'].=$year."/".$mes."/".$cfdi['ArchivoPDF'];
			$cfdi['rutaXML_P'].=$year."/".$mes."/".$cfdi['ArchivoXML'];
			$cfdi['rutaPDF_P'].=$year."/".$mes."/".$cfdi['ArchivoPDF'];
			switch($tipo){
				case "XML":
					if(trim($cfdi['ArchivoXML']) == ""){
						?><script>alert("No existe el archivo.");</script><?
						exit;
					}
					if(!file_exists($cfdi['rutaXML_P'])){
						?><script>alert("No existe el archivo.");</script><?
						return false;
					}
				?><script>window.open('<?=$cfdi['rutaXML']?>');</script><?
					break;
				case "PDF":
					if(trim($cfdi['ArchivoPDF']) == ""){
						?><script>alert("No existe el archivo.");</script><?
						exit;
					}
					if(!file_exists($cfdi['rutaPDF_P'])){
						?><script>alert("No existe el archivo.");</script><?
						return false;
					}
					?><script>window.open('<?=$cfdi['rutaPDF']?>');</script><?
					break;
				case "STD":
					if(!file_exists($rutaSTD)){
						?><script>alert("No existe el archivo.");</script><?
						return false;
					}
					?><script>window.open('<?=$rutaSTDHTTP?>');</script><?
					break;
			}
		}
	}
}
?>